
      module modscal

      INTEGER,   PARAMETER  ::  dp = kind (1.0d0)
      INTEGER,   PARAMETER  ::  sp = kind (1.0)

      INTEGER,   PARAMETER  ::  rp = dp    ! Current precision

      REAL(rp),  PARAMETER  ::  un   = 1.0_rp
      REAL(rp),  PARAMETER  ::  zero = 0.0_rp

      end module modscal

